PRJ=..
PRJNAME=	testExtensionMgr
TARGET=		testExtensionMgr

# --- Settings -----------------------------------------------------------

.INCLUDE :  settings.mk

SHL1TARGET=$(TARGET)$(UPD)$(DLLPOSTFIX).uno
SHL1IMPLIB=     i$(TARGET)

SHL1VERSIONMAP=$(TARGET).map
SHL1DEF=$(MISC)$/$(SHL1TARGET).def

DEF1NAME=$(SHL1TARGET)
SHL1STDLIBS= \
		$(CPPUHELPERLIB) \
		$(CPPULIB) \
		$(COMPHELPERLIB) \
		$(TOOLSLIB) \
		$(SALLIB)\


SHL1LIBS=$(SLB)$/$(TARGET).lib

.IF "$(GUI)"=="UNX" || "$(GUI)"=="MAC"
    LIBCOMPNAME=$(LOCAL_COMMON_OUT)$/lib/lib$(SHL1TARGET)$(DLLPOST)
.ELSE
    LIBCOMPNAME=$(COMMONBIN)$/$(SHL1TARGET)$(DLLPOST)
.ENDIF


# --- Targets -------------------------------------------------------------

.INCLUDE :  target.mk

COMP=build_extn

ALLTAR:	$(COMP)

build_extn : $(SLB)$/$(TARGET).lib
	$(PERL) createExtPackage.pl $(COMMONBIN)$/testExt.oxt $(LIBCOMPNAME)
